Package com.pixelmed.apps

## Class InsertRealWorldValueMap

- java.lang.Object
- - com.pixelmed.apps.InsertRealWorldValueMap

-     public class InsertRealWorldValueMap
      extends java.lang.Object

  A class containing an application for inserting Real World Value Maps from the command line.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected class` | `InsertRealWorldValueMap.OurMediaImporter` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `dstFolderName` |
    `protected java.lang.String` | `explanation` |
    `protected java.lang.String` | `firstValueMapped` |
    `protected java.lang.String` | `intercept` |
    `protected java.lang.String` | `label` |
    `protected java.lang.String` | `lastValueMapped` |
    `protected java.lang.String` | `ourAETitle` |
    `protected java.util.List<ContentItem>` | `quantityDefinitionContentItems` |
    `protected java.lang.String` | `slope` |
    `protected java.lang.String` | `unitsCodeMeaning` |
    `protected java.lang.String` | `unitsCodeValue` |
    `protected java.lang.String` | `unitsCodingSchemeDesignator` |
    `protected java.lang.String` | `unitsCodingSchemeVersion` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---

    `InsertRealWorldValueMap​(java.lang.String firstValueMapped, java.lang.String lastValueMapped, java.lang.String intercept, java.lang.String slope, java.lang.String explanation, java.lang.String label, java.lang.String unitsCodeValue, java.lang.String unitsCodingSchemeDesignator, java.lang.String unitsCodingSchemeVersion, java.lang.String unitsCodeMeaning, java.util.List<ContentItem> quantityDefinitionContentItems, java.lang.String src, java.lang.String dstFolderName, MessageLogger logger)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] arg)` | Insert a Real World Value Map into the specified files.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ourAETitle

          protected java.lang.String ourAETitle

    - #### dstFolderName

          protected java.lang.String dstFolderName

    - #### firstValueMapped

          protected java.lang.String firstValueMapped

    - #### lastValueMapped

          protected java.lang.String lastValueMapped

    - #### intercept

          protected java.lang.String intercept

    - #### slope

          protected java.lang.String slope

    - #### explanation

          protected java.lang.String explanation

    - #### label

          protected java.lang.String label

    - #### unitsCodingSchemeDesignator

          protected java.lang.String unitsCodingSchemeDesignator

    - #### unitsCodeValue

          protected java.lang.String unitsCodeValue

    - #### unitsCodeMeaning

          protected java.lang.String unitsCodeMeaning

    - #### unitsCodingSchemeVersion

          protected java.lang.String unitsCodingSchemeVersion

    - #### quantityDefinitionContentItems

          protected java.util.List<ContentItem> quantityDefinitionContentItems

  - ### Constructor Detail

    - #### InsertRealWorldValueMap

          public InsertRealWorldValueMap​(java.lang.String firstValueMapped,
                                         java.lang.String lastValueMapped,
                                         java.lang.String intercept,
                                         java.lang.String slope,
                                         java.lang.String explanation,
                                         java.lang.String label,
                                         java.lang.String unitsCodeValue,
                                         java.lang.String unitsCodingSchemeDesignator,
                                         java.lang.String unitsCodingSchemeVersion,
                                         java.lang.String unitsCodeMeaning,
                                         java.util.List<ContentItem> quantityDefinitionContentItems,
                                         java.lang.String src,
                                         java.lang.String dstFolderName,
                                         MessageLogger logger)
                                  throws java.io.IOException,
                                         DicomException

      Throws:
        `java.io.IOException`
        `DicomException`

  - ### Method Detail

    - #### main

          public static void main​(java.lang.String[] arg)

      Insert a Real World Value Map into the specified files.

      Does not replace UIDs or set type to derived.

      Parameters:
        `arg` - array of 12 or more strings - first value mapped, last value mapped, intercept, slope, explanation, label, units codeValue, units codingSchemeDesignator, units codingSchemeVersion (or empty string if none), units codeMeaning, zero or more quantity definition content items, source folder or DICOMDIR, destination folder